package com.gx.obe.action.bean;

import java.util.HashMap;
import java.util.Map;

import org.eclipse.swt.core.CallBack;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.util.utils.UuidUtils;
import com.gx.obe.web.entity.tender.TenderProjectEntity;
import com.gx.obe.web.entity.tender.TenderProjectRuleEntity;

/**
 * @Description: 
 * @author guoyr
 */
public abstract class EAction{

	private Map<String, Object> data = null;
	private final String ID = UuidUtils.getUUID();
	private String name = "";
	private Composite parent ;
	private CallBack callBack;
	
	private TenderProjectEntity parentProject;
	private TenderProjectEntity tenderProject;
	private TenderProjectRuleEntity tenderProjectRule;
	
	public Object getData(String key) {
		if(data != null){
			return data.get(key);
		}
		return null;
	}

	public void setData(String key, Object value) {
		if(data == null){
			data = new HashMap<String, Object>();
		}
		data.put(key, value);
	}

	public void addCallBack(Composite parent, CallBack callBack) {
		this.parent = parent;
		this.callBack = callBack;
	}
	
	public void run(){
		callBack.befor();
		callBack.after();
	}

	public Composite getParent() {
		return parent;
	}

	public void setParent(Composite parent) {
		this.parent = parent;
	}

	public CallBack getCallBack() {
		if(null == callBack){
			callBack = new CallBack() {};
		}
		return callBack;
	}

	public void setCallBack(CallBack callBack) {
		this.callBack = callBack;
	}

	public String getId(){
		return ID;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public TenderProjectEntity getParentProject() {
		return parentProject;
	}

	public void setParentProject(TenderProjectEntity parentProject) {
		this.parentProject = parentProject;
	}

	public TenderProjectEntity getTenderProject() {
		return tenderProject;
	}

	public void setTenderProject(TenderProjectEntity tenderProject) {
		this.tenderProject = tenderProject;
	}

	public TenderProjectRuleEntity getTenderProjectRule() {
		return tenderProjectRule;
	}

	public void setTenderProjectRule(TenderProjectRuleEntity tenderProjectRule) {
		this.tenderProjectRule = tenderProjectRule;
	}
	
}
