package com.gx.obe.action.utils;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.bean.EAction;
import com.gx.obe.components.core.Constants;
import com.gx.obe.components.core.util.PlatformUtils;

/**
 * @Description: action工具类
 * @author guoyr
 */
public class ActionUtil {
	
	/**
	 * @Description: 根据EAction类路径获取EAction实体类
	 * @author guoyr
	 * @param classPath
	 * @return
	 */
	public static EAction getEAction(String classPath) {
		return (EAction) PlatformUtils.getByClassPath(classPath, Constants.SYMBOLIC_NAME);
	}
	
	/**
	 * @Description: 根据Action类路径获取Action实体类
	 * @author guoyr
	 * @param classPath
	 * @return
	 */
	public static Action getAction(String classPath) {
		return (Action) PlatformUtils.getByClassPath(classPath, Constants.SYMBOLIC_NAME);
	}
	
}
